Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.state
Class EntityBeanStateHandlerImpl

    java.lang.Object
      com.stc.connector.tcpip.model.state.EntityBeanStateHandlerImpl

All Implemented Interfaces:
  StateHandler

    public class EntityBeanStateHandlerImpl

extends java.lang.Object
implements StateHandler

It is a Persistent StateHandler implementation. Points to the EJB persistence service.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2005/09/03 06:33:21 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`EntityBeanStateHandlerImpl()` Constructor for EntityBeanStateHandlerImpl.

Method Summary
`State` | `getState()` Returns the State.
`void` | `setState(State state)` Sets the State.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### EntityBeanStateHandlerImpl

    public EntityBeanStateHandlerImpl()

  Constructor for EntityBeanStateHandlerImpl.

Method Detail

### getState

    public State getState()
                   throws java.lang.Exception

  Description copied from interface: `StateHandler`
  Returns the State.

  Specified by:
    `getState` in interface `StateHandler`
  Returns:
    State
  Throws:
    `java.lang.Exception` - on error
  See Also:
    `StateHandler.getState()`

### setState

    public void setState(State state)
                  throws java.lang.Exception

  Description copied from interface: `StateHandler`
  Sets the State.

  Specified by:
    `setState` in interface `StateHandler`
  Parameters:
    `state` - to set
  Throws:
    `java.lang.Exception` - on error
  See Also:
    `StateHandler.setState(State)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD